Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -4263,155 +4641,137 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/TabControl
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/TabControl">
         <Property name="TabButtonType" value="WindowsLook/TabButton" />
         <Property name="TabTextPadding" value="{0,4}" />
-        <Child  type="WindowsLook/TabContentPane" nameSuffix="__auto_TabPane__">
-            <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="TopEdge">
-                    <PropertyDim widget="__auto_TabPane__" name="EnableBottom">
-                        <DimOperator op="Multiply">
+        <Child nameSuffix="__auto_TabPane__" type="WindowsLook/TabContentPane">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <PropertyDim name="EnableBottom" widget="__auto_TabPane__" />
+                        <PropertyDim name="TabHeight" type="Height" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="Height" />
+                        <PropertyDim name="TabHeight" type="Height" />
+                    </OperatorDim>
+                </Dim>
+            </Area>
+        </Child>
+        <Child nameSuffix="__auto_TabPane__Buttons" type="WindowsLook/TabButtonPane">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <PropertyDim name="EnableTop" widget="__auto_TabPane__Buttons" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
                             <PropertyDim name="TabHeight" type="Height" />
-                        </DimOperator>
-                    </PropertyDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Height">
-                    <UnifiedDim scale="1" type="Height">
-                        <DimOperator op="Subtract">
-                            <PropertyDim name="TabHeight" type="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <PropertyDim name="TabHeight" type="Height" />
                 </Dim>
             </Area>
         </Child>
-        <Child  type="WindowsLook/TabButtonPane" nameSuffix="__auto_TabPane__Buttons">
-            <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="TopEdge">
-                    <PropertyDim widget="__auto_TabPane__Buttons" name="EnableTop">
-                        <DimOperator op="Multiply">
-                            <UnifiedDim scale="1" type="Height">
-                                <DimOperator op="Subtract">
-                                    <PropertyDim name="TabHeight" type="Height" />
-                                </DimOperator>
-                            </UnifiedDim>
-                        </DimOperator>
-                    </PropertyDim>
-                </Dim>
-                <Dim type="Height"><PropertyDim name="TabHeight" type="Height" /></Dim>
-            </Area>
+        <Child nameSuffix="__auto_TabPane__ScrollLeft" type="WindowsLook/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="6" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <WidgetDim dimension="TopEdge" widget="__auto_TabPane__" />
+                        <OperatorDim op="Add">
+                            <AbsoluteDim value="4" />
+                            <OperatorDim op="Multiply">
+                                <PropertyDim name="EnableTop" widget="__auto_TabPane__Buttons" />
+                                <OperatorDim op="Subtract">
+                                    <WidgetDim dimension="Height" widget="__auto_TabPane__" />
+                                    <OperatorDim op="Add">
+                                        <ImageDim dimension="Width" name="WindowsLook/TabButtonScrollLeftNormal" />
+                                        <AbsoluteDim value="6" />
+                                    </OperatorDim>
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="WindowsLook/TabButtonScrollLeftNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="WindowsLook/TabButtonScrollLeftNormal" />
+                </Dim>
+            </Area>
+            <Property name="AlwaysOnTop" value="True" />
+            <Property name="NormalImage" value="WindowsLook/TabButtonScrollLeftNormal" />
+            <Property name="HoverImage" value="WindowsLook/TabButtonScrollLeftHover" />
+            <Property name="PushedImage" value="WindowsLook/TabButtonScrollLeftHover" />
         </Child>
-        <Child type="WindowsLook/SystemButton" nameSuffix="__auto_TabPane__ScrollLeft">
-            <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="6" /></Dim>
-                <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_TabPane__" dimension="TopEdge">
-                        <DimOperator op="Add">
-                            <AbsoluteDim value="4">
-                                <DimOperator op="Add">
-                                    <PropertyDim widget="__auto_TabPane__Buttons" name="EnableTop">
-                                        <DimOperator op="Multiply">
-                                            <WidgetDim widget="__auto_TabPane__" dimension="Height">
-                                                <DimOperator op="Subtract">
-                                                    <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Width">
-                                                        <DimOperator op="Add">
-                                                            <AbsoluteDim value="6" />
-                                                        </DimOperator>
-                                                    </ImageDim>
-                                                </DimOperator>
-                                            </WidgetDim>
-                                        </DimOperator>
-                                    </PropertyDim>
-                                </DimOperator>
-                            </AbsoluteDim>
-                        </DimOperator>
-                    </WidgetDim>
+        <Child nameSuffix="__auto_TabPane__ScrollRight" type="WindowsLook/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="Width" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/TabButtonScrollLeftNormal" />
+                            <AbsoluteDim value="6" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <WidgetDim dimension="TopEdge" widget="__auto_TabPane__" />
+                        <OperatorDim op="Add">
+                            <AbsoluteDim value="4" />
+                            <OperatorDim op="Multiply">
+                                <PropertyDim name="EnableTop" widget="__auto_TabPane__Buttons" />
+                                <OperatorDim op="Subtract">
+                                    <WidgetDim dimension="Height" widget="__auto_TabPane__" />
+                                    <OperatorDim op="Add">
+                                        <ImageDim dimension="Width" name="WindowsLook/TabButtonScrollLeftNormal" />
+                                        <AbsoluteDim value="6" />
+                                    </OperatorDim>
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Width">
-                    <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Width" />
+                    <ImageDim dimension="Width" name="WindowsLook/TabButtonScrollLeftNormal" />
                 </Dim>
                 <Dim type="Height">
-                    <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Height" />
+                    <ImageDim dimension="Height" name="WindowsLook/TabButtonScrollLeftNormal" />
                 </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:WindowsLook image:TabButtonScrollLeftNormal" />
-            <Property name="HoverImage" value="set:WindowsLook image:TabButtonScrollLeftHover" />
-            <Property name="PushedImage" value="set:WindowsLook image:TabButtonScrollLeftHover" />
-        </Child>
-        <Child type="WindowsLook/SystemButton" nameSuffix="__auto_TabPane__ScrollRight">
-            <Area>
-                <Dim type="LeftEdge">
-                    <UnifiedDim scale="1" type="Width">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Width">
-                                <DimOperator op="Add">
-                                    <AbsoluteDim value="6" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_TabPane__" dimension="TopEdge">
-                        <DimOperator op="Add">
-                            <AbsoluteDim value="4">
-                                <DimOperator op="Add">
-                                    <PropertyDim widget="__auto_TabPane__Buttons" name="EnableTop">
-                                        <DimOperator op="Multiply">
-                                            <WidgetDim widget="__auto_TabPane__" dimension="Height">
-                                                <DimOperator op="Subtract">
-                                                    <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Width">
-                                                        <DimOperator op="Add">
-                                                            <AbsoluteDim value="6" />
-                                                        </DimOperator>
-                                                    </ImageDim>
-                                                </DimOperator>
-                                            </WidgetDim>
-                                        </DimOperator>
-                                    </PropertyDim>
-                                </DimOperator>
-                            </AbsoluteDim>
-                        </DimOperator>
-                    </WidgetDim>
-                </Dim>
-                <Dim type="Width">
-                    <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Width" />
-                </Dim>
-                <Dim type="Height">
-                    <ImageDim imageset="WindowsLook" image="TabButtonScrollLeftNormal" dimension="Height" />
-                </Dim>
-            </Area>
-            <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:WindowsLook image:TabButtonScrollRightNormal" />
-            <Property name="HoverImage" value="set:WindowsLook image:TabButtonScrollRightHover" />
-            <Property name="PushedImage" value="set:WindowsLook image:TabButtonScrollRightHover" />
+            <Property name="NormalImage" value="WindowsLook/TabButtonScrollRightNormal" />
+            <Property name="HoverImage" value="WindowsLook/TabButtonScrollRightHover" />
+            <Property name="PushedImage" value="WindowsLook/TabButtonScrollRightHover" />
         </Child>
         <StateImagery name="Enabled" />
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Titlebar
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Titlebar">
-        <PropertyDefinition name="CaptionColour" initialValue="FF000000" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="CaptionColour" redrawOnWrite="true" />
         <ImagerySection name="normal">
             <FrameComponent>
@@ -4430,13 +4790,13 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="TitlebarTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="TitlebarTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="TitlebarBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="TitlebarBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="TitlebarLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="TitlebarTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="TitlebarRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="TitlebarBottom" />
-                <Image type="Background" imageset="WindowsLook" image="TitlebarFill" />
+                <Image component="TopLeftCorner" name="WindowsLook/TitlebarTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/TitlebarTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/TitlebarBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/TitlebarBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/TitlebarLeft" />
+                <Image component="TopEdge" name="WindowsLook/TitlebarTop" />
+                <Image component="RightEdge" name="WindowsLook/TitlebarRight" />
+                <Image component="BottomEdge" name="WindowsLook/TitlebarBottom" />
+                <Image component="Background" name="WindowsLook/TitlebarFill" />
             </FrameComponent>
         </ImagerySection>
@@ -4444,14 +4804,19 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="12" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <WidgetDim dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="12" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <WidgetDim dimension="Height" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
                 </Area>
                 <ColourProperty name="CaptionColour" />
@@ -4462,5 +4827,5 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FFA7C7FF" topRight="FFA7C7FF" bottomLeft="FFA7C7FF" bottomRight="FFA7C7FF" />
+                    <Colours bottomLeft="FFA7C7FF" bottomRight="FFA7C7FF" topLeft="FFA7C7FF" topRight="FFA7C7FF" />
                 </Section>
                 <Section section="caption" />
@@ -4470,5 +4835,5 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="caption" />
@@ -4478,5 +4843,5 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="caption" />
@@ -4484,33 +4849,24 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Tooltip
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Tooltip">
         <NamedArea name="TextArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="TooltipLeftEdge" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="TooltipTopEdge" dimension="Height" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="TooltipRightEdge" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="TooltipBottomEdge" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/TooltipLeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/TooltipTopEdge" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/TooltipRightEdge" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/TooltipBottomEdge" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -4532,13 +4888,13 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="TooltipTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="TooltipTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="TooltipBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="TooltipBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="TooltipLeftEdge" />
-                <Image type="TopEdge" imageset="WindowsLook" image="TooltipTopEdge" />
-                <Image type="RightEdge" imageset="WindowsLook" image="TooltipRightEdge" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="TooltipBottomEdge" />
-                <Image type="Background" imageset="WindowsLook" image="TooltipMiddle" />
+                <Image component="TopLeftCorner" name="WindowsLook/TooltipTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/TooltipTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/TooltipBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/TooltipBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/TooltipLeftEdge" />
+                <Image component="TopEdge" name="WindowsLook/TooltipTopEdge" />
+                <Image component="RightEdge" name="WindowsLook/TooltipRightEdge" />
+                <Image component="BottomEdge" name="WindowsLook/TooltipBottomEdge" />
+                <Image component="Background" name="WindowsLook/TooltipMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -4559,5 +4915,5 @@
                     </Dim>
                 </Area>
-                <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="CentreAligned" />
